OrcProto.BloomFilterOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.BloomFilterOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.BloomFilter, OrcProto.BloomFilter.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.BloomFilterOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBitset(int index)` `repeated fixed64 bitset = 2;`
    `int` | `getBitsetCount()` `repeated fixed64 bitset = 2;`
    `List<Long>` | `getBitsetList()` `repeated fixed64 bitset = 2;`
    `int` | `getNumHashFunctions()` `optional uint32 numHashFunctions = 1;`
    `com.google.protobuf.ByteString` | `getUtf8Bitset()` `optional bytes utf8bitset = 3;`
    `boolean` | `hasNumHashFunctions()` `optional uint32 numHashFunctions = 1;`
    `boolean` | `hasUtf8Bitset()` `optional bytes utf8bitset = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasNumHashFunctions

          boolean hasNumHashFunctions()

      `optional uint32 numHashFunctions = 1;`

    - #### getNumHashFunctions

          int getNumHashFunctions()

      `optional uint32 numHashFunctions = 1;`

    - #### getBitsetList

          List<Long> getBitsetList()

      `repeated fixed64 bitset = 2;`

    - #### getBitsetCount

          int getBitsetCount()

      `repeated fixed64 bitset = 2;`

    - #### getBitset

          long getBitset(int index)

      `repeated fixed64 bitset = 2;`

    - #### hasUtf8Bitset

          boolean hasUtf8Bitset()

      `optional bytes utf8bitset = 3;`

    - #### getUtf8Bitset

          com.google.protobuf.ByteString getUtf8Bitset()

      `optional bytes utf8bitset = 3;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.